device_type: kvm
job_name: kvm-pipeline
job_timeout:
  minutes: 15
action_timeout:
  minutes: 5
priority: medium
actions:

   - deploy:
       timeout:
         minutes: 20
       to: tmpfs
       images:
         rootfs:
           url: https://images.validation.linaro.org/kvm/standard/stretch-2.img.gz
           image_arg: -drive format=raw,file={rootfs}
           compression: gz

   - boot:
       method: kvm
       media: tmpfs
       failure_retry: 2
       prompts:
         - 'linaro-test'
         - 'root@debian:~#'

   - test:
       failure_retry: 3
       name: kvm-basic-singlenode
       timeout:
         minutes: 5 # uses install:deps, so takes longer than singlenode01
       definitions:
           - repository: git://git.linaro.org/lava-team/lava-functional-tests.git
             from: git
             path: lava-test-shell/smoke-tests-basic.yaml
             name: smoke-tests
           - repository: https://git.linaro.org/lava-team/lava-functional-tests.git
             from: git
             path: lava-test-shell/single-node/singlenode03.yaml
             name: singlenode-advanced
